<?php
/**
 * Utilisations de pipelines par Pdform
 *
 * @plugin     Pdform
 * @copyright  2021
 * @author     Vincent CALLIES
 * @licence    GNU/GPL
 * @package    SPIP\Pdform\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/**
 * Ajouter les objets sur les vues des parents directs
 *
 * @pipeline affiche_enfants
 * @param  array $flux Données du pipeline
 * @return array       Données du pipeline
**/
function pdform_affiche_enfants($flux) {
	if ($e = trouver_objet_exec($flux['args']['exec']) and $e['edition'] == false) {
		$id_objet = $flux['args']['id_objet'];

	}
	return $flux;
}

/**
 * Utiliser ce pipeline permet d'ajouter du contenu sur certaines pages,
 * notamment des formulaires de liaisons entre objets
 *
 * @pipeline affiche_milieu
 * @param  array $flux Données du pipeline
 * @return array       Données du pipeline
 */
function pdform_affiche_milieu($flux) {
	$texte = '';
	$e = trouver_objet_exec($flux['args']['exec']);

	if (!$e['edition'] 
		and $type = $e['type'] and $type == 'pdform_patron'
		and $id = intval($flux['args'][$e['id_table_objet']])
	) {

		# auteurs sur pdform
		$texte .= recuperer_fond(
			'prive/objets/editer/liens',
			array(
				'table_source'=>'auteurs',
				'objet' => $type,
				'id_objet' => $id,
			#'editable'=>autoriser('associerauteurs',$e['type'],$e['id_objet'])?'oui':'non'
			)
		);

		# pdform_cellule sur pdform
		$texte .= recuperer_fond(
			'prive/objets/editer/liens',
			array(
				'table_source'=>'pdform_cellules',
				'objet' => $type,
				'id_objet' => $id,
			#'editable'=>autoriser('associerpdformcellules',$e['type'],$e['id_objet'])?'oui':'non'
			)
		);
		
		# pdform_image sur pdform
		$texte .= recuperer_fond(
			'prive/objets/editer/liens',
			array(
				'table_source'=>'pdform_images',
				'objet' => $type,
				'id_objet' => $id,
			#'editable'=>autoriser('associerpdformcellules',$e['type'],$e['id_objet'])?'oui':'non'
			)
		);
	}
	if ($texte) {
		if ($p=strpos($flux['data'],"<!--affiche_milieu-->"))
			$flux['data'] = substr_replace($flux['data'],$texte,$p,0);
		else
			$flux['data'] .= $texte;
	}
	return $flux;
}
